<?php

/**
 * Description of HelloWorld_class.php
 *
 * This class is a skeleton class created to provide an example
 * of how to add a plugin to OpenDocMan.
 *
    Copyright (C) 2010-2015 Stephen Lawrence Jr.

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

class HelloWorld extends Plugin {
    var $hello_world='';

    /**
     * HelloWorld constructor for the HelloWorld plugin
     * @param string $_hello_world Message to display
     */
    function HelloWorld($_hello_world='') {
        $this->name = 'HelloWorld';
        $this->author = 'Stephen J. Lawrence Jr.';
        $this->version = '1.0';
        $this->homepage = 'http://www.opendocman.com';
        $this->description = 'Skeleton plugin for OpenDocMan';
        
        $this->hello_world = $_hello_world;
    }

    /**
     * @param string $_var The string to display
     */
    function setHelloWorld($_var) {
        $this->hello_world = $_var;
    }

    /**
     * @returns string $var Get the value of hello_world var
     */
    function getHelloWorld() {
        $var = $this->hello_world;
        return $var;
    }
    
    /**
     * Draw the admin menu
     * Required if you want an admin menu to show for your plugin
     */
    function onAdminMenu()
    {
        $current_directory = dirname(__FILE__);
        $GLOBALS['smarty']->display('file:' . $current_directory . '/templates/hello_world.tpl');
    }

    function  onBeforeAdd()
    {
        //parent::onDuringAdd();
        echo '<table><td><td><h1>This is displayed before the add file is submitted</h1></td></tr></table>';
    }

    function onAfterLogout()
    {
        echo 'Good buy cruel world!';exit;
    }
}
